# record.cc File Reference

## Detailed Description

Misc.

Blackberry database record helper classes and functions. Helps translate data from data packets to useful structures, and back.

Definition in file record.cc.

`#include "record.h"`
`#include "record-internal.h"`
`#include "protocol.h"`
`#include "protostructs.h"`
`#include "data.h"`
`#include "time.h"`
`#include "error.h"`
`#include "endian.h"`
`#include <sstream>`
`#include <iomanip>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdexcept>`
`#include "debug.h"`

Include dependency graph for record.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry